import { IDisposable } from '../../../../interfaces/IDisposable.js';
import { ServiceContainer } from "../../../services/ServiceContainer.js";
import { IDesignerCanvas } from '../IDesignerCanvas.js';
export interface ITool extends IDisposable {
    readonly cursor: string;
    activated(serviceContainer: ServiceContainer): any;
    pointerEventHandler(designerCanvas: IDesignerCanvas, event: PointerEvent, currentElement: Element): any;
    keyboardEventHandler(designerCanvas: IDesignerCanvas, event: KeyboardEvent, currentElement?: Element): any;
}
